/*  This file is part of `distromatic', the QiLinux RPM tool for the distribution.
 * Copyright (C) 2006 by Davide Madrisan <davide.madrisan@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of version 2 of the GNU General Public License as published by the
 * Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY, to the extent permitted by law; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
 */

#if HAVE_CONFIG_H
#include <config.h>
#endif
#undef malloc

#include <sys/types.h>

void *malloc(size_t size);
void *rpl_malloc(size_t size);

/* allocate an size-byte block of memory from the heap;
 * if size is zero, allocate a 1-byte block
 */
void *
rpl_malloc(size_t size)
{
     return malloc(size ? size : 1);
}
